﻿/*for showing validation error message*/
.custom-alert {
    max-width: 320px;
    width: 100%;
    position: fixed !important;
    max-height: 100vh;
    z-index: 9999;
    pointer-events: none;
    right: 15px;
    top: 15px;
}

.loader {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background: url('//upload.wikimedia.org/wikipedia/commons/thumb/e/e5/Phi_fenomeni.gif/50px-Phi_fenomeni.gif') 50% 50% no-repeat rgb(249,249,249);
}

/* Customer border color */
.custom-border {
    border: 1px solid #ABB2B9;
}





/* For adding the padding to the datatable pagination sections */

#divPagingHolder {
    padding: 8px 16px;
}

.secLoader {
    display: none;
    background-color: rgba(255,255,255,0.7);
    position: fixed;
    z-index: 100 !important;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}

    .secLoader img {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }


/*for UserManagementRole checkbox begin*/
.form-check.form-check-solid .roledefault:checked {
    background-color: black !important;
}


.form-check.form-check-solid .roleoverridden:checked {
    background-color: red !important;
}

.form-check.form-check-solid .roleoverroleoriented:checked {
    background-color: green !important;
}

.form-check.form-check-solid .roleoverrolewarning:checked {
    background-color: orangered !important;
}

.roleindication {
    width: 14px;
    height: 14px;
    border-radius: 3px;
    margin-top: 4px;
}
/*for UserManagementRole checkbox end*/

/*Media query*/
@media screen and (max-width: 990px) {
    .pagination {
    }
}


@media screen and (min-width: 991px) {

    .pagination {
        float: right !important;
    }
}
/* Mobile View */
@media screen and (max-width:480px) {

    .header-search {
        width: 100% !important;
        margin-right: 0 !important;
    }
}
